/**
 * Letsecript module for Redbird (c) Optimalbits 2016-2024
 *
 *
 *
 */
import { IncomingMessage, ServerResponse } from 'http';
import pino from 'pino';
declare function init(certPath: string, port: number, logger: pino.Logger<never, boolean>): import("http").Server<typeof IncomingMessage, typeof ServerResponse>;
/**
 *  Gets the certificates for the given domain.
 *  Handles all the LetsEncrypt protocol. Uses
 *  existing certificates if any, or negotiates a new one.
 *  Returns a promise that resolves to an object with the certificates.
 *  TODO: We should use something like https://github.com/PaquitoSoft/memored/blob/master/index.js
 *  to avoid
 */
declare function getCertificates(domain: string, email: string, loopbackPort: number, production: boolean, renew: boolean, logger: pino.Logger<never, boolean>): Promise<any>;
export { init, getCertificates };
